Subject: Re: [bug#31539] [PATCH] Add RabbitMQ package and service.

From: zimoun <[email-masked]>
Date: Tue, 20 Oct 2020 09:45:41 +0200

Dear,

The 2 patches [1] are more than 2 years old.  They are about adding
RabbitMQ package and service.  Have they been fallen in the crack?

Are they still relevant?  They are tagged ’moreinfo’, why?  Because the
package needs more work?

1: <http://issues.guix.gnu.org/issue/31539>

On Sun, 20 May 2018 at 21:36, Christopher Baines <[email-masked]> wrote:
> Tags: moreinfo
>
> RabbitMQ is a message broker/queuing system service. I've managed to get
> a package that builds, and a service which at least starts and seems to
> work.
>
> The package still needs more work, I haven't looked too closely at the
> source and what might need stripping out.
>
> As for the service, it's very minimal, and I don't have very much
> experience with RabbitMQ. However, this is a start, so here are some
> patches.
>
>
> Christopher Baines (2):
>   gnu: Add rabbitmq.
>   services: Add RabbitMQ.
>
>  gnu/local.mk                    |   3 +
>  gnu/packages/rabbitmq.scm       |  90 +++++++++++++++++++++++++++
>  gnu/services/message-broker.scm | 105 ++++++++++++++++++++++++++++++++
>  gnu/tests/message-broker.scm    |  86 ++++++++++++++++++++++++++
>  4 files changed, 284 insertions(+)
>  create mode 100644 gnu/packages/rabbitmq.scm
>  create mode 100644 gnu/services/message-broker.scm
>  create mode 100644 gnu/tests/message-broker.scm

All the best,
simon